<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

function fbp_header($content, &$smarty)
{
  global $conf;

  // replace tag html
  $search = '<html ';
  $replacement = '<html xmlns:fb="http://www.facebook.com/2008/fbml" ';

  //~ $content = preg_replace('#'.$search.'#', $replacement, $content);
  return preg_replace('#'.$search.'#', $replacement, $content);
  //~ $fbp_content = file_get_contents(FBP_DIR.'/tpl/init.fb.tpl');

  //~ $search = '<div id="the_page">';
  //~ return preg_replace('#'.$search.'#', $fbp_content.$search, $content);
}

function fbp_init()
{
  global $template, $user, $page, $conf, $picture;

  // set prefilter
  $template->set_prefilter('header', 'fbp_header');

  $template->assign('FACEBOOK_APP_ID', FACEBOOK_APP_ID);
  // define language
  $template->assign('LANGUAGE', $user['language']);
  $template->assign('fbp', $conf['fbp']);
  $template->smarty->register_modifier('boolean_to_string', 'boolean_to_string');

  $template->set_filename('init.fb', FBP_DIR.'/tpl/init.fb.tpl');
  $template->append('head_elements', $template->parse('init.fb', true));

  $template->block_html_head('', '<link rel="stylesheet" type="text/css" href="'.FBP_PATH.'/css/fbp.css">', $smarty, $repeat);
}


if ($conf['fbp']['social_plugin_like_button']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
{
  add_event_handler('init', 'fbp_init');
}

?>
